## sardinecake 0.4.2

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile docs/requirements.in
#
click==8.2.1
    # via mkdocs
colorama==0.4.6
    # via griffe
ghp-import==2.1.0
    # via mkdocs
griffe==1.7.3
    # via mkdocstrings-python
jinja2==3.1.6
    # via
    #   mkdocs
    #   mkdocstrings
markdown==3.8.2
    # via
    #   markdown-include
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
    #   pymdown-extensions
markdown-include==0.8.1
    # via -r docs/requirements.in
markupsafe==3.0.2
    # via
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-get-deps
mkdocs==1.6.1
    # via
    #   -r docs/requirements.in
    #   mkdocs-autorefs
    #   mkdocstrings
mkdocs-autorefs==1.4.2
    # via
    #   mkdocstrings
    #   mkdocstrings-python
mkdocs-get-deps==0.2.0
    # via mkdocs
mkdocstrings[python]==0.29.1
    # via
    #   -r docs/requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.16.12
    # via mkdocstrings
packaging==25.0
    # via mkdocs
pathspec==0.12.1
    # via mkdocs
platformdirs==4.3.8
    # via mkdocs-get-deps
pymdown-extensions==10.16
    # via mkdocstrings
python-dateutil==2.9.0.post0
    # via ghp-import
pyyaml==6.0.2
    # via
    #   mkdocs
    #   mkdocs-get-deps
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==1.1
    # via mkdocs
six==1.17.0
    # via python-dateutil
watchdog==6.0.0
    # via mkdocs

=== debian/changelog ===
sardinecake (0.4.2-1) iem; urgency=medium

  * New upstream
    - more documentation
    - set up https://sardinecake.readthedocs.io/
    - publish to https://pypi.org/project/sardinecake/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Jul 2025 16:42:26 +0200

sardinecake (0.4.1-1) iem; urgency=medium

  * New upstream
    - support exit_codes

  * No longer Recommend 'gitlab-libvirt-executor'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 May 2025 13:18:13 +0200

sardinecake (0.4.0-1) iem; urgency=medium

  * New upstream

  * Add examples to 'sarde <cmd> --help'
  * Fix exported VMs with cow disk images to OCI
    * Refuse to export is cow images are besides their backing file
    * Completely drop <backingStore/>
    * Resolve symlinks when extracting the mimetype
  * Fix importing VMs with cow disk images
    * Construct the entire <backingStore/> chain as needed
  * gitlab-executor
    * add '--vmdir' and '--ocidir' to the "prepare" subcommand
    * allow using CI_JOB_{ID,IMAGE} directly
    * Fix setting of permissions of wrapper script within the VM

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Feb 2025 13:12:48 +0100

sardinecake (0.3.1-1) iem; urgency=medium

  * New upstream

  * Fix getting configs if there's no image
  * SSH:
    + fix typo
    + drop output to stderr, it doesn't work anyhow
    + fix docstring
    + ssh.channel2file: return bytes written
    + run script via wrapper script
    + rename "_log" to "log"
  * gitlab-executor: run script as script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Jun 2024 18:00:56 +0200

sardinecake (0.3-1) iem; urgency=medium

  * New upstream
  * Fix "--clonedir" flag for executor
  * 'sarde export' is now able to override the actual libvirt VM config

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jun 2024 10:05:08 +0200

sardinecake (0.2.1-1) iem; urgency=medium

  * New upstream
  * Fix prepare-script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 13:11:57 +0200

sardinecake (0.2-1) iem; urgency=medium

  * New upstream
  * Multiple bugfixes
  * 'gitlab-sardinecake-executor' now has a '--clonedir' flag
  * Example prepare-scripts in /usr/share/sardinecake/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 12:34:17 +0200

sardinecake (0.1-1) iem; urgency=medium

  * Initial release.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Jun 2024 12:12:34 +0200

=== debian/control ===
Source: sardinecake
Section: admin
Priority: optional
Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all:any,
 python3-libvirt,
 python3-magic,
 python3-paramiko,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://git.iem.at/devtools/sardinecake
Vcs-Git: https://git.iem.at/devtools/sardinecake.git
Vcs-Browser: https://git.iem.at/devtools/sardinecake

Package: sardinecake
Architecture: all
Depends:
 python3-jsonschema,
 qemu-utils,
 skopeo,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-libqcow,
Description: Custom GitLab Runner executor to run jobs inside libvirt
 this is a helper for 'gitlab-runner' to execute jobs within ephemeral
 libvirt virtual machines created on the fly from OCI containers.
  - builds are executed within isolated VMs
  - VMs are ephemeral (cloned on the fly from a reference VM, and destroyed
    after the job terminated)
  - cloning is very fast (using COW)
  - VM images are stored on an OCI compliant registry
 .
 This package comes with the 'sarde' cmdline tool to interact with libvirt VMs
 as OCI containers (creating/uploading/downloading containers).
 The 'gitlab-sardinecake-executor' provides the glue for working with
  gitlab-runners.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=sardinecake
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild
